<!DOCTYPE html>
<!-- TODO voire pourquoi les regles s'affichent deux fois -->
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flask App</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='styles.css') }}">
</head>
<body>
    <h1>Flask App</h1>
    <div class="parent">
        <div class="child">
            <form method="post">
            <label for="user_input">Enter Text:</label><br>
            <textarea id="user_input" name="user_input" rows="5" cols="50"></textarea><br> <!-- Adjust rows and cols as needed -->
            <button type="submit">Submit</button>
            </form>
        </div>
        
        <div class="child">
            <h3>Example Rules:</h3>
                <pre>
[r1] -> a 1
[r2] d,b => c 1
[r3] !c -> d 1
[r10] !c,b -> !d 1
[r11] !c,d -> !b 1
[r12] !d -> c 1
[r4] a => !d 0
[r5] => b 1
[r6] => !c 1
[r7] => d 0
[r8] c => e 0
[r9] !c => !r4 0
                </pre>
        </div>
    </div>
    
    <div class="parent">

        <h2>Results:</h2>
        <div class="child">
            <h2>User Input:</h2>
            <ul>
                {% for rule_string in user_input %}
                <li>{{ rule_string }}</li>
                {% endfor %}
            </ul>
            <!-- <pre class="preformatted">{{ user_input }}</pre> -->
            <!-- Display user input here -->
        </div>
        
        <div class="child">
            <h3>New Arguments:</h3>
            <ul>
                {% for rule_string in rule_strings %}
                <li>{{ rule_string }}</li>
                {% endfor %}
            </ul>
        </div>
        <div class="child">
            <h3>Defenses:</h3>
            <ul>
                {% for defender, attackers in all_defeats.items() %}
                <li>{{ defender }} défendu par : {% for attacker in attackers|unique %}{{ attacker }} {% endfor %}</li>
                {% endfor %}
            </ul>
        </div>

        <div class="child">
            <h3>Rebuts Grouped by Conclusion:</h3>
            <!-- Add code to display rebut groups -->
            <pre>
                TODO
            </pre>
        </div>
    </div>
</body>
</html>
